Sync with portage [Tue Apr 19 15:42:32 MSK 2022].

akrasnyh
root 2 years ago
parent 8d9c7cb6ab
commit 4df91934ee

Binary file not shown.

Binary file not shown.

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<name>Florian Schmaus</name>

Binary file not shown.

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<name>Florian Schmaus</name>

Binary file not shown.

@ -0,0 +1,53 @@
From a58bbbe058df8f45872c43a95992f6a7a7914ab9 Mon Sep 17 00:00:00 2001
From: piterpunk <piterpunk@slackware.com>
Date: Fri, 15 Oct 2021 11:03:20 -0300
Subject: [PATCH] Fix _compat.py importlib logic for Python 3.10
Use the same logic in _compat.py and entrypoints.py to load
the same importlib.metadata. Python's built in implementation for
Python >= 3.10 and the Salt one for others.
---
salt/_compat.py | 30 +++++++++++++++++-------------
1 file changed, 17 insertions(+), 13 deletions(-)
diff --git a/salt/_compat.py b/salt/_compat.py
index 8149657bea61..a402f17a3c71 100644
--- a/salt/_compat.py
+++ b/salt/_compat.py
@@ -11,19 +11,23 @@
else:
import salt.ext.ipaddress as ipaddress
+if sys.version_info >= (3, 10):
+ # Python 3.10 will include a fix in importlib.metadata which allows us to
+ # get the distribution of a loaded entry-point
+ import importlib.metadata # pylint: disable=no-member,no-name-in-module
+else:
+ # importlib_metadata before version 3.3.0 does not include the functionality we need.
+ try:
+ import importlib_metadata
-# importlib_metadata before version 3.3.0 does not include the functionality we need.
-try:
- import importlib_metadata
-
- importlib_metadata_version = [
- int(part)
- for part in importlib_metadata.version("importlib_metadata").split(".")
- if part.isdigit()
- ]
- if tuple(importlib_metadata_version) < (3, 3, 0):
+ importlib_metadata_version = [
+ int(part)
+ for part in importlib_metadata.version("importlib_metadata").split(".")
+ if part.isdigit()
+ ]
+ if tuple(importlib_metadata_version) < (3, 3, 0):
+ # Use the vendored importlib_metadata
+ import salt.ext.importlib_metadata as importlib_metadata
+ except ImportError:
# Use the vendored importlib_metadata
import salt.ext.importlib_metadata as importlib_metadata
-except ImportError:
- # Use the vendored importlib_metadata
- import salt.ext.importlib_metadata as importlib_metadata

@ -289,3 +289,23 @@ index 907c67f477..3f68cfe8f3 100644
def test_jid_option_invalid(self):
jid = salt.utils.jid.gen_jid({}) + "A"
args = ["--jid", jid] + self.args
diff --git a/tests/unit/utils/test_schema.py b/tests/unit/utils/test_schema.py
index 8c648f5288..74b9bc6981 100644
--- a/tests/unit/utils/test_schema.py
+++ b/tests/unit/utils/test_schema.py
@@ -872,6 +872,7 @@ class ConfigTestCase(TestCase):
},
)
+ @skipIf(True, "Does not work in network sandbox")
@skipIf(HAS_JSONSCHEMA is False, "The 'jsonschema' library is missing")
def test_hostname_config_validation(self):
class TestConf(schema.Schema):
@@ -2098,6 +2099,7 @@ class ConfigTestCase(TestCase):
item = schema.NotItem(item=schema.BooleanItem())
self.assertEqual(item.serialize(), {"not": item.item.serialize()})
+ @skipIf(True, "Does not work in network sandbox")
@skipIf(HAS_JSONSCHEMA is False, "The 'jsonschema' library is missing")
def test_not_config_validation(self):
class TestConf(schema.Schema):

@ -82,6 +82,7 @@ BDEPEND="
dev-python/mako[${PYTHON_USEDEP}]
>=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
>=dev-python/moto-0.3.6[${PYTHON_USEDEP}]
dev-python/passlib
dev-python/pip[${PYTHON_USEDEP}]
dev-python/pyopenssl[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
@ -110,6 +111,7 @@ PATCHES=(
"${FILESDIR}/salt-3004.1-jinja-3.patch"
"${FILESDIR}/salt-3004.1-tests.patch"
"${FILESDIR}/salt-3004.1-relax-pyzmq-dep.patch"
"${FILESDIR}/salt-3004.1-py310.patch"
)
python_prepare_all() {

Binary file not shown.

@ -1,3 +1,2 @@
DIST dar-2.7.3.tar.gz 2398624 BLAKE2B 9d34d233968efcd390db6a1afa1bb93477b6dcbb4bb8c6beb315e927f7ae624bdf23b77f32233a63e3ddd437701fbbd1ee19e5c7ab4f0366ef7e646bacdab46c SHA512 a8a930cd39cae66199e402e61fc48609fe22b821c12407ab7922b8bc8f43f9b11b2f0732baf8198b41d193442a1f82d18536a0d6a7fd7282aaed3600342c7d48
DIST dar-2.7.4.tar.gz 2404731 BLAKE2B a3b8cb2049f1b12048023916e2951ca9efc57791afa62df58ceb796f69503c9d2795e0b6e11f2b3efdde51f2e0f78e972a7e08742f2278f92231db94a21dfbbe SHA512 fcdf222c4244d02797dff06797a67baefd1b7bdd409ed09da05e23430b025b1cc66ee98e85aa43b481ec3d17a84b7c2bbcebe4c8f23a2a480146845d3da93477
DIST dar-2.7.5.tar.gz 2404076 BLAKE2B 2887629cecf069cfb5063132299279b8be985785485c6f04a8389dfd4930f00b073b421fbb17915d69f5efd46ebb4c3d371c10d3936bfb16d82a191218af350d SHA512 a4e01dce8a078ba81b3032a1910d75f0f59a23511246f570a50ade135f49f11e522ed8916a947aece1799dcd1d37308ba6e4a009313b80d6a1561698c3d5623a

@ -1,91 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit flag-o-matic
DESCRIPTION="A full featured backup tool, aimed for disks"
HOMEPAGE="http://dar.linux.free.fr/"
SRC_URI="mirror://sourceforge/dar/${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="amd64 ppc sparc x86 ~amd64-linux"
IUSE="argon2 curl dar32 dar64 doc gcrypt gpg lz4 lzo nls rsync threads xattr"
REQUIRED_USE="?? ( dar32 dar64 )
gpg? ( gcrypt )"
RESTRICT="test" # need to be run as root
RDEPEND="
app-arch/bzip2:=
app-arch/xz-utils
app-arch/zstd:=
sys-libs/libcap
>=sys-libs/zlib-1.2.3:=
argon2? ( app-crypt/argon2:= )
curl? ( net-misc/curl )
gcrypt? (
dev-libs/libgcrypt:0=
dev-libs/libgpg-error
)
gpg? ( app-crypt/gpgme:= )
lz4? ( app-arch/lz4:= )
lzo? ( dev-libs/lzo:2 )
nls? ( virtual/libintl )
rsync? ( net-libs/librsync:= )
threads? ( dev-libs/libthreadar )
xattr? ( sys-apps/attr )
"
DEPEND="${RDEPEND}"
BDEPEND="
doc? ( app-doc/doxygen )
nls? ( sys-devel/gettext )
"
src_configure() {
# configure.ac is totally funked up regarding the AC_ARG_ENABLE
# logic.
# For example "--enable-dar-static" causes configure to DISABLE
# static builds of dar.
# Do _not_ use $(use_enable) until you have verified that the
# logic has been fixed by upstream.
local myconf=(
--disable-dar-static
--disable-python-binding
--disable-upx
$(usev !argon2 --disable-libargon2-linking)
$(usev !curl --disable-libcurl-linking)
$(usev dar32 --enable-mode=32)
$(usev dar64 --enable-mode=64)
$(usev !doc --disable-build-html)
$(usev !gcrypt --disable-libgcrypt-linking)
$(usev !gpg --disable-gpgme-linking)
$(usev !lz4 --disable-liblz4-linking)
$(usev !lzo --disable-liblzo2-linking)
$(usev !nls --disable-nls)
$(usev !rsync --disable-librsync-linking)
$(usev !threads --disable-threadar)
$(usev !xattr --disable-ea-support)
)
# Bug 103741
filter-flags -fomit-frame-pointer
econf "${myconf[@]}"
}
src_install() {
emake DESTDIR="${D}" pkgdatadir="${EPREFIX}"/usr/share/doc/${PF}/html install
einstalldocs
find "${ED}" -name "*.la" -delete || die
# Bug 729150
rm "${ED}/usr/share/doc/${PF}/html/samples/MyBackup.sh.tar.gz" || die
}

Binary file not shown.

@ -14,7 +14,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz -> certbot-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
S=${WORKDIR}/certbot-${PV}/acme
fi

@ -12,7 +12,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-apache}/${PN%-apache}/archive/v${PV}.tar.gz -> ${PN%-apache}-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm64 ~x86"
KEYWORDS="amd64 ~arm64 x86"
S=${WORKDIR}/${PN%-apache}-${PV}/${PN}
fi

@ -12,7 +12,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-nginx}/${PN%-nginx}/archive/v${PV}.tar.gz -> ${PN%-nginx}-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
KEYWORDS="amd64 ~arm ~arm64 x86"
S=${WORKDIR}/${PN%-nginx}-${PV}/${PN}
fi

@ -11,7 +11,7 @@ if [[ ${PV} == 9999* ]]; then
inherit git-r3
else
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
fi
S=${WORKDIR}/${P}/${PN}

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>matthew@gentoo.org</email>

@ -1,2 +1 @@
DIST trousers-0.3.14.tar.gz 1378438 BLAKE2B 3dc2824fa2ca1b1f1181f98d59e85276e7d38af4bfc07ee8246431d9ccb300a8e0820b318643d4cf5d757d2a49492c8686e2fe9de03484263d2189d4bbaa32d0 SHA512 bf87f00329cf1d76a12cf6b6181fa22f90e76af3c5786e6e2db98438d2d3f0c0e05364374664173f45e3a2f6c0e2364948d0b958a7845cb23fcb340150cd9b21
DIST trousers-0.3.15.tar.gz 4699936 BLAKE2B 53c60498ed6a9d3d87295b00676e5d0d82452918c35af6b98c7979ffa2dc04dd817e7cd3f4a33ca17c30b90eab53d80b2bb25306fe9db7bda2125019edfed280 SHA512 769c7d891c6306c1b3252448f86e3043ee837e566c9431f5b4353512113e2907f6ce29c91e8044c420025b79c5f3ff2396ddce93f73b1eb2a15ea1de89ac0fdb

@ -1,9 +0,0 @@
# /etc/conf.d/tscd
# Configuration file for the TrouSerS' TCS daemon (tcsd) init script
# Have a look on /etc/tcsd.conf too, there is more to configure there.
# TPM_MODULES: name of the module(s) that should be loaded. You only need to
# set this if your driver is not compiled in kernel and is not already loaded
# on boot. (default: unset)
#TPM_MODULES="tpm_atmel"

@ -1,38 +1,19 @@
#!/sbin/openrc-run
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
command=/usr/sbin/tcsd
description="TrouSerS' TCS daemon (tcsd)"
command_user="tss:tss"
depend() {
use logger
need net
}
checkconfig() {
local mod
if [ -n "${TPM_MODULES}" ] ; then
for mod in ${TPM_MODULES} ; do
lsmod | grep -q "^${mod}\b" \
|| modprobe ${mod} &>/dev/null \
|| ewarn "Failed to load module ${mod}"
done
# Should we sleep or something to wait for device creation?
fi
start_pre() {
if [ ! -c /dev/tpm ] && [ ! -c /dev/tpm0 ] ; then
eerror "No TPM device found!"
return 1
fi
return 0
}
start() {
ebegin "Starting TrouSerS' TCS daemon (tcsd)"
checkconfig || eend $?
start-stop-daemon --start --user tss --exec /usr/sbin/tcsd
eend $?
}
stop() {
ebegin "Stopping TrouSerS' TCS daemon (tcsd)"
start-stop-daemon --stop --quiet --exec /usr/sbin/tcsd --user tss
eend $?
}

@ -1,15 +0,0 @@
diff --git a/src/include/tcsd.h b/src/include/tcsd.h
index 5b9462b..05bae97 100644
--- a/src/include/tcsd.h
+++ b/src/include/tcsd.h
@@ -166,8 +166,8 @@ void thread_signal_init();
/* signal handling */
#ifndef __APPLE__
-struct sigaction tcsd_sa_int;
-struct sigaction tcsd_sa_chld;
+extern struct sigaction tcsd_sa_int;
+extern struct sigaction tcsd_sa_chld;
#endif
#endif

@ -1,58 +0,0 @@
Index: trousers-0.3.14/src/tcs/ps/tcsps.c
===================================================================
--- trousers-0.3.14.orig/src/tcs/ps/tcsps.c
+++ trousers-0.3.14/src/tcs/ps/tcsps.c
@@ -72,7 +72,7 @@ get_file()
}
/* open and lock the file */
- system_ps_fd = open(tcsd_options.system_ps_file, O_CREAT|O_RDWR, 0600);
+ system_ps_fd = open(tcsd_options.system_ps_file, O_CREAT|O_RDWR|O_NOFOLLOW, 0600);
if (system_ps_fd < 0) {
LogError("system PS: open() of %s failed: %s",
tcsd_options.system_ps_file, strerror(errno));
Index: trousers-0.3.14/src/tcsd/svrside.c
===================================================================
--- trousers-0.3.14.orig/src/tcsd/svrside.c
+++ trousers-0.3.14/src/tcsd/svrside.c
@@ -473,6 +473,7 @@ main(int argc, char **argv)
}
return TCSERR(TSS_E_INTERNAL_ERROR);
}
+ setgid(pwd->pw_gid);
setuid(pwd->pw_uid);
#endif
#endif
Index: trousers-0.3.14/src/tcsd/tcsd_conf.c
===================================================================
--- trousers-0.3.14.orig/src/tcsd/tcsd_conf.c
+++ trousers-0.3.14/src/tcsd/tcsd_conf.c
@@ -743,7 +743,7 @@ conf_file_init(struct tcsd_config *conf)
#ifndef SOLARIS
struct group *grp;
struct passwd *pw;
- mode_t mode = (S_IRUSR|S_IWUSR);
+ mode_t mode = (S_IRUSR|S_IWUSR|S_IRGRP);
#endif /* SOLARIS */
TSS_RESULT result;
@@ -798,15 +798,15 @@ conf_file_init(struct tcsd_config *conf)
}
/* make sure user/group TSS owns the conf file */
- if (pw->pw_uid != stat_buf.st_uid || grp->gr_gid != stat_buf.st_gid) {
+ if (stat_buf.st_uid != 0 || grp->gr_gid != stat_buf.st_gid) {
LogError("TCSD config file (%s) must be user/group %s/%s", tcsd_config_file,
- TSS_USER_NAME, TSS_GROUP_NAME);
+ "root", TSS_GROUP_NAME);
return TCSERR(TSS_E_INTERNAL_ERROR);
}
- /* make sure only the tss user can manipulate the config file */
+ /* make sure only the tss user can read (but not manipulate) the config file */
if (((stat_buf.st_mode & 0777) ^ mode) != 0) {
- LogError("TCSD config file (%s) must be mode 0600", tcsd_config_file);
+ LogError("TCSD config file (%s) must be mode 0640", tcsd_config_file);
return TCSERR(TSS_E_INTERNAL_ERROR);
}
#endif /* SOLARIS */

@ -1,68 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit autotools linux-info readme.gentoo-r1 systemd udev
DESCRIPTION="An open-source TCG Software Stack (TSS) v1.1 implementation"
HOMEPAGE="http://trousers.sf.net"
SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
LICENSE="CPL-1.0 GPL-2"
SLOT="0"
KEYWORDS="amd64 arm arm64 ~m68k ~ppc ppc64 ~s390 x86"
IUSE="doc selinux" # gtk
# gtk support presently does NOT compile.
# gtk? ( >=x11-libs/gtk+-2 )
DEPEND="acct-group/tss
acct-user/tss
>=dev-libs/glib-2
>=dev-libs/openssl-0.9.7:0=
"
RDEPEND="${DEPEND}
selinux? ( sec-policy/selinux-tcsd )"
BDEPEND="virtual/pkgconfig"
PATCHES=(
"${FILESDIR}/${PN}-0.3.13-nouseradd.patch"
"${FILESDIR}/${P}-fno-common.patch"
"${FILESDIR}/${P}-Makefile.am-Mark-tddl.a-nodist.patch"
"${FILESDIR}/${P}-tcsd-fixes.patch"
)
DOCS="AUTHORS ChangeLog NICETOHAVES README TODO"
DOC_CONTENTS="
If you have problems starting tcsd, please check permissions and
ownership on /dev/tpm* and ~tss/system.data
"
S="${WORKDIR}"
CONFIG_CHECK="~TCG_TPM"
src_prepare() {
default
eautoreconf
}
src_configure() {
# econf --with-gui=$(usex gtk gtk openssl)
econf --with-gui=openssl
}
src_install() {
default
find "${D}" -name '*.la' -delete || die
keepdir /var/lib/tpm
use doc && dodoc doc/*
newinitd "${FILESDIR}"/tcsd.initd tcsd
newconfd "${FILESDIR}"/tcsd.confd tcsd
systemd_dounit "${FILESDIR}"/tcsd.service
udev_dorules "${FILESDIR}"/61-trousers.rules
fowners tss:tss /var/lib/tpm
readme.gentoo_create_doc
}

@ -1,4 +1,4 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -57,9 +57,9 @@ src_install() {
keepdir /var/lib/tpm
use doc && dodoc doc/*
newinitd "${FILESDIR}"/tcsd.initd tcsd
newconfd "${FILESDIR}"/tcsd.confd tcsd
systemd_dounit "${FILESDIR}"/tcsd.service
udev_dorules "${FILESDIR}"/61-trousers.rules
fowners tss:tss /var/lib/tpm
readme.gentoo_create_doc
udev_reload
}

@ -1,28 +0,0 @@
diff --git a/doc/Makefile b/doc/Makefile
index d481c5a..dc5b49a 100644
--- a/doc/Makefile
+++ b/doc/Makefile
@@ -5,13 +5,9 @@ endif
DELFILES=xca*.html xca.1.gz changelog.html database_schema.html
-doc: xca.1.gz xca.html changelog.html database_schema.html
+doc: xca.1 xca.html changelog.html database_schema.html
include $(TOPDIR)/Rules.mak
-%.1.gz: %.1
- @$(PRINT) " MAN [$(BASENAME)] $@"
- gzip -9 <$^ >$@
-
xca.html: xca.sgml
rm -f xca*.html
echo 'The documentation for XCA can be viewed online at: <a href="http://hohnstaedt.de/documentation">http://hohnstaedt.de/documentation</a>.' > $@
@@ -23,7 +19,7 @@ install: $(doc)
$(ENABLE_DOC)install -m 755 -d $(DESTDIR)$(htmldir)
$(ENABLE_DOC)install -m 644 xca*.html $(DESTDIR)$(htmldir)
install -m 755 -d $(DESTDIR)$(mandir)/man1
- install -m 644 *.1.gz $(DESTDIR)/$(mandir)/man1
+ install -m 644 *.1 $(DESTDIR)/$(mandir)/man1
app: xca.html
mkdir -p $(APPDIR)/Resources

Binary file not shown.

@ -1,3 +1,2 @@
DIST eclass-manpages-20210712.tar.xz 410588 BLAKE2B 776da6b26db95791401d562d3d550e1ab71dc19f54124fa37e78ab2595835fb05e7382b98007e58131698710b978dd87cbc10df1ea98c6ef01ec866418d6f9a6 SHA512 fb2bdc790d96f0662d84eddd01f291b4a3cac638c1e3df8975755e81d2d64dda14b0f60a77387da8544672080711d5047dda777d27a8cf2ded2634c47ecfee4b
DIST eclass-manpages-20211002.tar.xz 410056 BLAKE2B 6ac900aaa2718d838af7f069766e2e818276c80d1819f38ca0bc09d3815487083dfe64781331d9b0049c474fc6cec9381daea9c7961f14b208cd3372c79b7564 SHA512 bcea1bcae107df73c72c37dd65c5414833ad59e9d6088f806cb06512b53cdbcad10fb50fe23ede02ccfcda17ae86c70879f496929ef0f54aa799179f9ef0d869
DIST eclass-manpages-20220316.tar.xz 402108 BLAKE2B 6730248793ccb479da966fd20212ee60b9ca75a8eb4bcf9872517fef10821c2fe0232e17707411d2b66366813fc31a5917157239a79002820376d397899ea6b1 SHA512 0d89f02de5812854c75987e1b9718de58f642585ef4a6dea9b907549ff5d52b13d62cbe70fbbfe4339fc5f15f6114505d20f715f7a583c2cebfab4dd27a7ac1d
DIST eclass-manpages-20220417.tar.xz 403944 BLAKE2B db0607e65f5e87d566bd632b4fa6e48522593907f8fb76f598a552fb23bf53ced466b467b45fc07154edc0e757dc92b9387484003dd847bdd63ea3a6f6635459 SHA512 ad9bcc55f9b7df7565d4d309d37e59553871a7116b3f00b87f6e29648bf4b235ec64a036348f76167ca1ce4d2b899b70176d1844d6e8bb325154e1d1a1dc951f

@ -1,20 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DESCRIPTION="Collection of Gentoo eclass manpages"
HOMEPAGE="https://github.com/mgorny/eclass-to-manpage"
SRC_URI="https://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
# Keep the keywords stable. No need to change to ~arch.
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-solaris"
BDEPEND="app-arch/xz-utils
sys-apps/gawk"
src_install() {
emake install DESTDIR="${D}" PREFIX="${EPREFIX}/usr"
}

@ -1,4 +1,4 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8

Binary file not shown.

@ -1,2 +1,3 @@
DIST ghex-3.41.1.tar.xz 1499804 BLAKE2B dd75dc1cc5d847ae3b932ed0bb98b8e15f44943f76f0ba9f053c6770d05e31d211c9f75a910c93c09cf2de143db8fa0eda4fdb876a0ea3ed0534650e7ac36a65 SHA512 5eccf81c41f5ae56bfe5eab0fb843db0095c75080e7dfc0b19a4c71f40f89931e1cbcd2c58744a6b249d16e2a2e4f96513aaac4c41f46d3b5ae8b2bc851851a0
DIST ghex-42.0.tar.xz 1007772 BLAKE2B db85755e22470f345fcd926e26addcb3ea71c90bc0d71fb5f02ad71e875b3b0100856e4365f950a4040f266c1826be992e6a7a23e32ddebbf9ccdfce88e45f46 SHA512 20eb8b876e65e3a63b2bf5bcb7258f4c196380395805e7aa374a4dba79e8e0356507b7dad660cdfd49490cb9832863e84dfcfa74dd680f05d34742a3c23f6108
DIST ghex-42.1.tar.xz 1002984 BLAKE2B c526536c9e2a1b115a2af591ebf4a044950411ec6000c3d5a6e662813219d060ac0a0bd34549c76c9663c82c9ae3777b99e92e810de07e71905c524c37a76355 SHA512 7dc6ef8fc84b53e82367794ad4684232bb492fd8ae9320db499fb5d2ff5e15f23ae5e4839b91c0828ea74ec81d7bdc30383f3087e3165bc67761eaafa03efd61

@ -0,0 +1,60 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit gnome.org gnome2-utils meson xdg
DESCRIPTION="GNOME hexadecimal editor"
HOMEPAGE="https://wiki.gnome.org/Apps/Ghex"
if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://gitlab.gnome.org/GNOME/ghex.git"
SRC_URI=""
else
KEYWORDS="~amd64 ~arm ~riscv ~x86 ~amd64-linux ~x86-linux"
fi
LICENSE="GPL-2+ FDL-1.1+"
IUSE="gtk-doc test"
RESTRICT="!test? ( test )"
SLOT="4"
RDEPEND="
>=dev-libs/glib-2.66.0:2
>=gui-libs/gtk-4.0.0:4
dev-libs/gobject-introspection
!app-editors/ghex:2
"
DEPEND="${RDEPEND}"
BDEPEND="
gtk-doc? ( dev-util/gi-docgen )
test? (
dev-util/desktop-file-utils
dev-libs/appstream-glib
)
dev-util/gtk-update-icon-cache
dev-util/itstool
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
"
src_configure() {
local emesonargs=(
-Ddocdir="${EPREFIX}"/usr/share/gtk-doc/
-Dintrospection=enabled
$(meson_use gtk-doc gtk_doc)
)
meson_src_configure
}
pkg_postinst() {
xdg_pkg_postinst
gnome2_schemas_update
}
pkg_postrm() {
xdg_pkg_postrm
gnome2_schemas_update
}

@ -1,4 +1,4 @@
DIST neovim-0.4.4.tar.gz 9558246 BLAKE2B b1d44898bb1e1ab40a7e1d7fb4448076c991ebe1a0956674548de82fe7a931d9eaffbf35ba03cf9c88466dcd628a55f1d7bf9e7a13f3dad74424d6d653ded60c SHA512 ca5c2fe1784ac7b0d2117948ba2e9ae5d94e36d22ff9e0967047e1e03e605537672d85543897af335103215ad462c86962f25267d352a77d61bc3d1cafb3c183
DIST neovim-0.5.1.tar.gz 10349190 BLAKE2B eb7e0c6a0742369c4a0fbc32a0f0e5d595f03470fb10287c39dde2f86db433a21798acee49d2cc363f18843950ef76d1376f5e52358d0b19a4b1e090c0d620a6 SHA512 a5a976c4998e821e0d9a9038d3f0c9e7c424a951f6bfc6d75898916d6a004ac668f31a34c3472fc4fca6b1d9652ac662b06780dd04dc6a77ecdc81564ec05709
DIST neovim-0.6.0.tar.gz 10592213 BLAKE2B f0f4654b6ae37b29c903ec54175b7dc6742c9f8dadd3242119a0288df4e3262ff5d9cb7ccd41fd8b1431db828ddb806714ced62ef1893cb923cf84badd47e3d8 SHA512 c007d076fb89288fe0496fa243fc6f485b0b33120c96b0bf37d8fe6469c672eb641fefbc3f7262ec726e40910c44d37ff7efb1723c05ba920ff6ae512b1d43e6
DIST neovim-0.6.1.tar.gz 10597584 BLAKE2B 3e2da61b768f5cae44e08f0ef7f386ce4b878b3248c9a7f7691f62dd732abfa59558467e190a5bcbb5f5007801b2003380296678fca42a0b46dde9a71ed496f4 SHA512 399489f6aaabec2a89b695b22dcd860149acaad723372cced0b4d2cdae464e2db5758372b9123cd0d2a683e0ea42b871935eb85e550cecce620d896691cfda53
DIST neovim-0.7.0.tar.gz 10925354 BLAKE2B 0524d008ba1ebbe823406e94cfb048014b26bc394c686b2dd84bb7fae5a1f7f3acd42764b03b6efec10c0f25045c5838f624542b5125947e5f42d3b0d2ad1f84 SHA512 3597c54fb925a4d607bca9ba0fdb37df90ecb816da99f52baf46cc2ec79727a55048ba1d8d22c8e7d61f0e8e35546326b1d0d15c0a91de8bf5bc529c45fb1ce0

@ -1,7 +1,7 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
LUA_COMPAT=( lua5-{1..2} luajit )
@ -15,30 +15,31 @@ if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://github.com/neovim/neovim.git"
else
SRC_URI="https://github.com/neovim/neovim/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 x86 ~x64-macos"
KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~x64-macos"
fi
LICENSE="Apache-2.0 vim"
SLOT="0"
IUSE="+lto +nvimpager +tui"
IUSE="+lto +nvimpager test +tui"
REQUIRED_USE="${LUA_REQUIRED_USE}"
# Upstream say the test library needs LuaJIT
# https://github.com/neovim/neovim/blob/91109ffda23d0ce61cec245b1f4ffb99e7591b62/CMakeLists.txt#L377
#REQUIRED_USE="test? ( lua_single_target_luajit )"
#RESTRICT="!test? ( test )"
REQUIRED_USE="test? ( lua_single_target_luajit )"
# TODO: Get tests running
RESTRICT="!test? ( test ) test"
# Upstream build scripts invoke the Lua interpreter
BDEPEND="${LUA_DEPS}
dev-util/gperf
>=dev-util/gperf-3.1
virtual/libiconv
virtual/libintl
virtual/pkgconfig
"
# TODO: add tests, dev-lua/busted has now got luajit support.
# bug #584694
# Check https://github.com/neovim/neovim/blob/master/third-party/CMakeLists.txt for
# new dependency bounds and so on on bumps (obviously adjust for right branch/tag).
DEPEND="${LUA_DEPS}
dev-lua/luv[${LUA_SINGLE_USEDEP}]
>=dev-lua/luv-1.43.0[${LUA_SINGLE_USEDEP}]
$(lua_gen_cond_dep '
dev-lua/lpeg[${LUA_USEDEP}]
dev-lua/mpack[${LUA_USEDEP}]
@ -46,14 +47,12 @@ DEPEND="${LUA_DEPS}
$(lua_gen_cond_dep '
dev-lua/LuaBitOp[${LUA_USEDEP}]
' lua5-{1,2})
dev-libs/libuv:0=
>=dev-libs/libvterm-0.1.2
dev-libs/msgpack:0=
!kernel_Darwin? (
net-libs/libnsl:=
)
>=dev-libs/libuv-1.44.1:=
>=dev-libs/libvterm-0.1.4
>=dev-libs/msgpack-3.0.0:=
>=dev-libs/tree-sitter-0.20.6:=
tui? (
dev-libs/libtermkey
>=dev-libs/libtermkey-0.22
>=dev-libs/unibilium-2.0.0:0=
)
"
@ -61,6 +60,11 @@ RDEPEND="
${DEPEND}
app-eselect/eselect-vi
"
BDEPEND="
test? (
$(lua_gen_cond_dep 'dev-lua/busted[${LUA_USEDEP}]')
)
"
PATCHES=(
"${FILESDIR}/${PN}-0.4.4-cmake_lua_version.patch"
@ -69,7 +73,7 @@ PATCHES=(
)
src_prepare() {
# use our system vim dir
# Use our system vim dir
sed -e "/^# define SYS_VIMRC_FILE/s|\$VIM|${EPREFIX}/etc/vim|" \
-i src/nvim/globals.h || die
@ -82,6 +86,7 @@ src_configure() {
# have preferences for how we should use LTO
# if we want it on (not just -flto)
# ... but allow turning it off.
# TODO: Investigate USE_BUNDLED, doesn't seem to be needed right now
local mycmakeargs=(
-DENABLE_LTO=$(usex lto)
-DFEAT_TUI=$(usex tui)
@ -107,6 +112,7 @@ src_install() {
pkg_postinst() {
xdg_pkg_postinst
optfeature "clipboard support" x11-misc/xsel x11-misc/xclip gui-apps/wl-clipboard
optfeature "Python plugin support" dev-python/pynvim
optfeature "Ruby plugin support" dev-ruby/neovim-ruby-client

@ -1,7 +1,7 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
LUA_COMPAT=( lua5-{1..2} luajit )
@ -47,10 +47,10 @@ DEPEND="${LUA_DEPS}
$(lua_gen_cond_dep '
dev-lua/LuaBitOp[${LUA_USEDEP}]
' lua5-{1,2})
>=dev-libs/libuv-1.43.0:=
>=dev-libs/libuv-1.44.1:=
>=dev-libs/libvterm-0.1.4
>=dev-libs/msgpack-3.0.0:=
>=dev-libs/tree-sitter-0.20.1:=
>=dev-libs/tree-sitter-0.20.6:=
tui? (
>=dev-libs/libtermkey-0.22
>=dev-libs/unibilium-2.0.0:0=

Binary file not shown.

@ -0,0 +1 @@
DIST ansi-0.4.1_p20211104.tar.gz 5498 BLAKE2B aabfd9eca6b74e20bc2b435df08aa66971396fc64c9967682c744e53a703b1853af5e72682466fd89e0d4cb06fa264e1c9d7a5970004a2ccd4637ba3ff0d028b SHA512 ea4cf098aec0bace89de9bfebb36be493b4b73311525dd088a081e90aa41b6e4d15519a4e871bb4a2ef9bcd6450943d80f05619fb7290c341a0d5785bac00615

@ -0,0 +1,42 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
H=2367fba7b3b2340364a30cd6de7f3eb6bb9898a3
NEED_EMACS=24
inherit elisp
DESCRIPTION="Emacs library to convert strings into ansi"
HOMEPAGE="https://github.com/rejeep/ansi.el/"
SRC_URI="https://github.com/rejeep/${PN}.el/archive/${H}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}"/${PN}.el-${H}
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
BDEPEND="
test? (
app-emacs/dash
app-emacs/el-mock
app-emacs/f
app-emacs/s
app-emacs/undercover
)
"
DOCS=( README.markdown )
SITEFILE="50${PN}-gentoo.el"
src_test() {
${EMACS} ${EMACSFLAGS} -L . -L test \
-l ansi.el -l test/ansi-color-test.el -l test/ansi-csi-test.el \
-l test/ansi-format-test.el -l test/ansi-init.el \
-l test/ansi-on-color-test.el -l test/ansi-style-test.el \
-l test/ansi-test.el -l test/test-helper.el \
-f ert-run-tests-batch-and-exit || die "tests failed"
}

@ -0,0 +1 @@
(add-to-list 'load-path "@SITELISP@")

@ -0,0 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>gnu-emacs@gentoo.org</email>
<name>Gentoo GNU Emacs project</name>
</maintainer>
<upstream>
<bugs-to>https://github.com/rejeep/ansi.el/issues/</bugs-to>
<remote-id type="github">rejeep/ansi.el</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1 @@
DIST dune-format-0.1.tar.gz 2477 BLAKE2B a043e6e6aeeac33e3265794ca5dec4fd1292a19a210e4a3be0f5dc21de4c1516587f25eb0513ba653defbdeba7d781c1a09903cddf0b7f8a0b3c2ce43235672d SHA512 511dcdc5f4413dc680cb1102c35b737c406ef4fb8e69150b60e7bc11bf877d94a039ebe7224c62a304004015471dab7f2b50fae32d9119221d435b06041df9d9

@ -0,0 +1,28 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
NEED_EMACS=24.1
inherit elisp
DESCRIPTION="Reformat OCaml's dune files automatically"
HOMEPAGE="https://github.com/purcell/emacs-dune-format/"
SRC_URI="https://github.com/purcell/emacs-${PN}/archive/${PV}.tar.gz
-> ${P}.tar.gz"
S="${WORKDIR}"/emacs-${P}
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
BDEPEND="app-emacs/reformatter"
RDEPEND="
${BDEPEND}
dev-ml/dune
"
DOCS=( README.md )
ELISP_REMOVE="Makefile" # Makefile downloads pkgs from net
SITEFILE="50${PN}-gentoo.el"

@ -0,0 +1 @@
(add-to-list 'load-path "@SITELISP@")

@ -0,0 +1,17 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>gnu-emacs@gentoo.org</email>
<name>Gentoo GNU Emacs project</name>
</maintainer>
<maintainer type="project">
<email>ml@gentoo.org</email>
<name>ML</name>
</maintainer>
<upstream>
<bugs-to>https://github.com/purcell/emacs-dune-format/issues/</bugs-to>
<remote-id type="github">purcell/emacs-dune-format</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1 @@
DIST el-mock-1.25.1.tar.gz 5825 BLAKE2B e04f193e6d27a0081dd8c9eceafc79b585f8556e0c4dc75f7c27e657b939e6320268c90bb63aca15a7261598edbdbf6cd936230b0c1dc64de24de8a67bc51920 SHA512 8b55c94489d6461124c3e39920e5aeb2e1adb492f08aa4312c6029f392c6acdea1c01872995934e500d6ff63c3d2d38c9dde86c55135421a28e3a79ace38d7d8

@ -0,0 +1,19 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit elisp
DESCRIPTION="Mocking library for Emacs"
HOMEPAGE="https://github.com/rejeep/el-mock.el/"
SRC_URI="https://github.com/rejeep/${PN}.el/archive/v${PV}.tar.gz
-> ${P}.tar.gz"
S="${WORKDIR}"/${PN}.el-${PV}
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DOCS=( README.md )
SITEFILE="50${PN}-gentoo.el"

@ -0,0 +1 @@
(add-to-list 'load-path "@SITELISP@")

@ -0,0 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>gnu-emacs@gentoo.org</email>
<name>Gentoo GNU Emacs project</name>
</maintainer>
<upstream>
<bugs-to>https://github.com/rejeep/el-mock.el/issues/</bugs-to>
<remote-id type="github">rejeep/el-mock.el</remote-id>
</upstream>
</pkgmetadata>

@ -1,4 +1,4 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -12,7 +12,7 @@ SRC_URI="https://github.com/ocaml/ocaml/archive/${PV}.tar.gz -> ${MY_P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
S="${WORKDIR}/${MY_P}/emacs"
SITEFILE="50${PN}-gentoo-3.12.1.el"

@ -15,7 +15,7 @@ S="${WORKDIR}/${PN}-${H}"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
RDEPEND="dev-scheme/racket:=[-minimal]"
BDEPEND="${RDEPEND}"

@ -0,0 +1 @@
DIST reformatter-0.6.tar.gz 7943 BLAKE2B 72f34b873aacef5ee1dd0edd06effed83dad490f5d57ac3390dbd0d6fb7172adb1b7a3e19c0e90740b300cad8d2a1df60ab1bbfaa660c79621066d402f01b923 SHA512 ff1ad88b3a0a3ca1e70a5e0d7fe6f2264981d88ae64f0fa412d52721fb43991a483f31fb72193f7d67be71f39110051c0dda39e4ed87b4339aa156fa256e013a

@ -0,0 +1 @@
(add-to-list 'load-path "@SITELISP@")

@ -0,0 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>gnu-emacs@gentoo.org</email>
<name>Gentoo GNU Emacs project</name>
</maintainer>
<upstream>
<bugs-to>https://github.com/purcell/emacs-reformatter/issues/</bugs-to>
<remote-id type="github">purcell/emacs-reformatter</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,23 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
NEED_EMACS=24.3
inherit elisp
DESCRIPTION="Define commands which run reformatters on the Emacs buffers"
HOMEPAGE="https://github.com/purcell/emacs-reformatter/"
SRC_URI="https://github.com/purcell/emacs-${PN}/archive/${PV}.tar.gz
-> ${P}.tar.gz"
S="${WORKDIR}"/emacs-${P}
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RESTRICT="test" # Tests need "shfmt"
DOCS=( README.md )
ELISP_REMOVE="Makefile ${PN}-tests.el" # Makefile downloads pkgs from net
SITEFILE="50${PN}-gentoo.el"

@ -0,0 +1 @@
DIST shut-up-0.3.3.tar.gz 4479 BLAKE2B 0cb9ee028386ceb9b80385a6893c203481a79619f8780c641ca76a8878bece3944973ba78a41e1a554d4c9402ec2227d1234a9b6862b01d489dba30db021b731 SHA512 b14110022bd1512985fe40194c419f06cc8f5f6c819f02e681a89c2f80a32140e20eea6e3bb659b1abee85021b01bdc0b48d3ff12d6fac6072635fbdcb808484

@ -0,0 +1 @@
(add-to-list 'load-path "@SITELISP@")

@ -0,0 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>gnu-emacs@gentoo.org</email>
<name>Gentoo GNU Emacs project</name>
</maintainer>
<upstream>
<bugs-to>https://github.com/cask/shut-up/issues/</bugs-to>
<remote-id type="github">cask/shut-up</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,33 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
NEED_EMACS=24
inherit elisp
DESCRIPTION="Reduce Emacs output of messages"
HOMEPAGE="https://github.com/cask/shut-up/"
SRC_URI="https://github.com/cask/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
BDEPEND="
test? (
app-emacs/f
app-emacs/s
)
"
DOCS=( README.md )
SITEFILE="50${PN}-gentoo.el"
src_test() {
${EMACS} ${EMACSFLAGS} -L . -L test -l test/${PN}-test.el \
-f ert-run-tests-batch-and-exit || die "tests failed"
}

@ -0,0 +1 @@
DIST undercover-0.8.1.tar.gz 20800 BLAKE2B a151366c0897baf22e2ad9e602935409643f9256f42fdc8733e3d98bfcf9373d12b6225851ab6d18cb195abff860842a6a5444886aeffce59ee45c5f1e902feb SHA512 33508f3c6cbacd30ee3ad8312e51b596a7547713837595ec2836f627bcccc90107e5198f541d8bc74ad20fb9c8ea6e0616fd0de8eb46f743d2606397000f0e74

@ -0,0 +1 @@
(add-to-list 'load-path "@SITELISP@")

@ -0,0 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>gnu-emacs@gentoo.org</email>
<name>Gentoo GNU Emacs project</name>
</maintainer>
<upstream>
<bugs-to>https://github.com/undercover-el/undercover.el/issues/</bugs-to>
<remote-id type="github">undercover-el/undercover.el</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,28 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
NEED_EMACS=24
inherit elisp
DESCRIPTION="Test coverage library for Emacs"
HOMEPAGE="https://github.com/undercover-el/undercover.el/"
SRC_URI="https://github.com/undercover-el/${PN}.el/archive/v${PV}.tar.gz
-> ${P}.tar.gz"
S="${WORKDIR}"/${PN}.el-${PV}
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RESTRICT="test" # Tests fail
RDEPEND="
app-emacs/dash
app-emacs/shut-up
"
BDEPEND="${RDEPEND}"
DOCS=( README.md )
SITEFILE="50${PN}-gentoo.el"

Binary file not shown.

@ -61,8 +61,7 @@ REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
BDEPEND="mingw? ( !!>=cross-i686-w64-mingw32/binutils-2.38 !!>=cross-x86_64-w64-mingw32/binutils-2.38 )
sys-devel/flex
BDEPEND="sys-devel/flex
virtual/yacc
virtual/pkgconfig"

@ -61,8 +61,7 @@ REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
BDEPEND="mingw? ( !!>=cross-i686-w64-mingw32/binutils-2.38 !!>=cross-x86_64-w64-mingw32/binutils-2.38 )
sys-devel/flex
BDEPEND="sys-devel/flex
virtual/yacc
virtual/pkgconfig"

@ -61,8 +61,7 @@ REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
BDEPEND="mingw? ( !!>=cross-i686-w64-mingw32/binutils-2.38 !!>=cross-x86_64-w64-mingw32/binutils-2.38 )
sys-devel/flex
BDEPEND="sys-devel/flex
virtual/yacc
virtual/pkgconfig"

@ -61,8 +61,7 @@ REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
BDEPEND="mingw? ( !!>=cross-i686-w64-mingw32/binutils-2.38 !!>=cross-x86_64-w64-mingw32/binutils-2.38 )
sys-devel/flex
BDEPEND="sys-devel/flex
virtual/yacc
virtual/pkgconfig"

@ -61,8 +61,7 @@ REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
BDEPEND="mingw? ( !!>=cross-i686-w64-mingw32/binutils-2.38 !!>=cross-x86_64-w64-mingw32/binutils-2.38 )
sys-devel/flex
BDEPEND="sys-devel/flex
virtual/yacc
virtual/pkgconfig"

@ -47,8 +47,7 @@ REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
BDEPEND="mingw? ( !!>=cross-i686-w64-mingw32/binutils-2.38 !!>=cross-x86_64-w64-mingw32/binutils-2.38 )
sys-devel/flex
BDEPEND="sys-devel/flex
virtual/yacc
virtual/pkgconfig"

@ -47,8 +47,7 @@ REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
BDEPEND="mingw? ( !!>=cross-i686-w64-mingw32/binutils-2.38 !!>=cross-x86_64-w64-mingw32/binutils-2.38 )
sys-devel/flex
BDEPEND="sys-devel/flex
virtual/yacc
virtual/pkgconfig"

@ -47,8 +47,7 @@ REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
BDEPEND="mingw? ( !!>=cross-i686-w64-mingw32/binutils-2.38 !!>=cross-x86_64-w64-mingw32/binutils-2.38 )
sys-devel/flex
BDEPEND="sys-devel/flex
virtual/yacc
virtual/pkgconfig"

@ -47,8 +47,7 @@ REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
BDEPEND="mingw? ( !!>=cross-i686-w64-mingw32/binutils-2.38 !!>=cross-x86_64-w64-mingw32/binutils-2.38 )
sys-devel/flex
BDEPEND="sys-devel/flex
virtual/yacc
virtual/pkgconfig"

@ -47,8 +47,7 @@ REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
BDEPEND="mingw? ( !!>=cross-i686-w64-mingw32/binutils-2.38 !!>=cross-x86_64-w64-mingw32/binutils-2.38 )
sys-devel/flex
BDEPEND="sys-devel/flex
virtual/yacc
virtual/pkgconfig"

@ -47,8 +47,7 @@ REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
BDEPEND="mingw? ( !!>=cross-i686-w64-mingw32/binutils-2.38 !!>=cross-x86_64-w64-mingw32/binutils-2.38 )
sys-devel/flex
BDEPEND="sys-devel/flex
virtual/yacc
virtual/pkgconfig"

@ -61,7 +61,7 @@ else
fi
DESCRIPTION="Xen tools including QEMU and xl"
HOMEPAGE="https://www.xenproject.org"
HOMEPAGE="https://xenproject.org"
DOCS=( README )
LICENSE="GPL-2"

@ -61,7 +61,7 @@ else
fi
DESCRIPTION="Xen tools including QEMU and xl"
HOMEPAGE="https://www.xenproject.org"
HOMEPAGE="https://xenproject.org"
DOCS=( README )
LICENSE="GPL-2"

@ -61,7 +61,7 @@ else
fi
DESCRIPTION="Xen tools including QEMU and xl"
HOMEPAGE="https://www.xenproject.org"
HOMEPAGE="https://xenproject.org"
DOCS=( README )
LICENSE="GPL-2"

@ -47,7 +47,7 @@ else
SRC_URI="https://downloads.xenproject.org/release/xen/${MY_PV}/xen-${MY_PV}.tar.gz
https://www.seabios.org/downloads/seabios-${SEABIOS_VER}.tar.gz
ipxe? ( http://xenbits.xen.org/xen-extfiles/ipxe-git-${IPXE_COMMIT}.tar.gz )
ipxe? ( https://xenbits.xen.org/xen-extfiles/ipxe-git-${IPXE_COMMIT}.tar.gz )
ovmf? ( https://github.com/tianocore/edk2/archive/${EDK2_COMMIT}.tar.gz -> edk2-${EDK2_COMMIT}.tar.gz
https://github.com/openssl/openssl/archive/OpenSSL_${EDK2_OPENSSL_VERSION}.tar.gz
https://github.com/ucb-bar/berkeley-softfloat-3/archive/${EDK2_SOFTFLOAT_COMMIT}.tar.gz -> berkeley-softfloat-${EDK2_SOFTFLOAT_COMMIT}.tar.gz
@ -61,7 +61,7 @@ else
fi
DESCRIPTION="Xen tools including QEMU and xl"
HOMEPAGE="https://www.xenproject.org"
HOMEPAGE="https://xenproject.org"
DOCS=( README )
LICENSE="GPL-2"
@ -69,7 +69,7 @@ SLOT="0/$(ver_cut 1-2)"
# Inclusion of IUSE ocaml on stabalizing requires maintainer of ocaml to (get off his hands and) make
# >=dev-lang/ocaml-4 stable
# Masked in profiles/eapi-5-files instead
IUSE="api debug doc +hvm +ipxe ocaml ovmf +pam pygrub python +qemu +qemu-traditional +rombios screen selinux sdl static-libs system-ipxe system-qemu system-seabios"
IUSE="api debug doc +hvm +ipxe lzma ocaml ovmf +pam pygrub python +qemu +qemu-traditional +rombios screen selinux sdl static-libs system-ipxe system-qemu system-seabios systemd zstd"
REQUIRED_USE="
${PYTHON_REQUIRED_USE}
@ -82,12 +82,17 @@ REQUIRED_USE="
?? ( qemu system-qemu )"
COMMON_DEPEND="
sys-apps/pciutils
lzma? ( app-arch/xz-utils )
qemu? ( dev-libs/glib:2 )
zstd? ( app-arch/zstd )
app-arch/bzip2
app-arch/zstd
dev-libs/libnl:3
dev-libs/lzo:2
dev-libs/glib:2
dev-libs/yajl
dev-libs/libaio
dev-libs/libgcrypt:0
sys-apps/util-linux
sys-fs/e2fsprogs
sys-libs/ncurses
sys-libs/zlib
${PYTHON_DEPS}
"
@ -359,6 +364,10 @@ src_prepare() {
sed -i '/SUBDIRS-$(CONFIG_QEMU_XEN)/s/^/#/g' tools/Makefile || die
fi
# Reset bash completion dir; Bug 472438
sed -e "s;^BASH_COMPLETION_DIR :=.*;BASH_COMPLETION_DIR := $(get_bashcompdir);" \
-i config/Paths.mk.in || die
# xencommons, Bug #492332, sed lighter weight than patching
sed -e 's:\$QEMU_XEN -xen-domid:test -e "\$QEMU_XEN" \&\& &:' \
-i tools/hotplug/Linux/init.d/xencommons.in || die
@ -411,9 +420,9 @@ src_prepare() {
src_configure() {
local myconf=(
--libdir=${PREFIX}/usr/$(get_libdir)
--libexecdir=${PREFIX}/usr/libexec
--localstatedir=${EPREFIX}/var
--libdir="${EPREFIX}/usr/$(get_libdir)"
--libexecdir="${EPREFIX}/usr/libexec"
--localstatedir="${EPREFIX}/var"
--disable-golang
--disable-werror
--disable-xen
@ -426,6 +435,7 @@ src_configure() {
$(use_enable ovmf)
$(use_enable pam)
$(use_enable rombios)
$(use_enable systemd)
--with-xenstored=$(usex ocaml 'oxenstored' 'xenstored')
)

@ -34,7 +34,7 @@ else
fi
DESCRIPTION="The Xen virtual machine monitor"
HOMEPAGE="https://www.xenproject.org"
HOMEPAGE="https://xenproject.org"
LICENSE="GPL-2"
SLOT="0"
IUSE="debug efi flask"

@ -34,7 +34,7 @@ else
fi
DESCRIPTION="The Xen virtual machine monitor"
HOMEPAGE="https://www.xenproject.org"
HOMEPAGE="https://xenproject.org"
LICENSE="GPL-2"
SLOT="0"
IUSE="debug efi flask"

@ -34,7 +34,7 @@ else
fi
DESCRIPTION="The Xen virtual machine monitor"
HOMEPAGE="https://www.xenproject.org"
HOMEPAGE="https://xenproject.org"
LICENSE="GPL-2"
SLOT="0"
IUSE="debug efi flask"

@ -34,7 +34,7 @@ else
fi
DESCRIPTION="The Xen virtual machine monitor"
HOMEPAGE="https://www.xenproject.org"
HOMEPAGE="https://xenproject.org"
LICENSE="GPL-2"
SLOT="0"
IUSE="+boot-symlinks debug efi flask"
@ -100,9 +100,6 @@ src_prepare() {
eapply "${FILESDIR}"/${PN}-4.16-no-symlink.patch
fi
# Enable XSM-FLASK
use flask && eapply "${FILESDIR}"/${PN}-4.15-flask.patch
# Workaround new gcc-11 options
sed -e '/^CFLAGS/s/-Werror//g' -i xen/Makefile || die
@ -117,11 +114,21 @@ src_prepare() {
default
}
XEN_OPTS=()
src_configure() {
use arm && XEN_OPTS+=( CONFIG_EARLY_PRINTK=sun7i )
use debug && XEN_OPTS+=( debug=y )
cd xen || die
touch gentoo-config || die
if use arm; then
echo "CONFIG_EARLY_PRINTK=sun7i" > gentoo-config || die
fi
if use debug; then
echo "CONFIG_DEBUG=y" > gentoo-config || die
fi
if use flask; then
echo "CONFIG_XSM=y" > gentoo-config || die
fi
emake KCONFIG_ALLCONFIG=gentoo-config alldefconfig
# remove flags
unset CFLAGS
@ -133,19 +140,26 @@ src_configure() {
src_compile() {
# Send raw LDFLAGS so that --as-needed works
emake V=1 CC="$(tc-getCC)" LDFLAGS="$(raw-ldflags)" LD="$(tc-getLD)" -C xen ${XEN_OPTS[@]}
emake \
V=1 \
CC="$(tc-getCC)" \
LDFLAGS="$(raw-ldflags)" \
LD="$(tc-getLD)" \
-C xen
}
src_install() {
local myopt
use debug && myopt="${myopt} debug=y"
# The 'make install' doesn't 'mkdir -p' the subdirs
if use efi; then
mkdir -p "${D}"${EFI_MOUNTPOINT}/efi/${EFI_VENDOR} || die
fi
emake LDFLAGS="$(raw-ldflags)" LD="$(tc-getLD)" DESTDIR="${D}" -C xen ${myopt} install
emake \
LDFLAGS="$(raw-ldflags)" \
LD="$(tc-getLD)" \
DESTDIR="${D}" \
-C xen \
install
# make install likes to throw in some extra EFI bits if it built
use efi || rm -rf "${D}/usr/$(get_libdir)/efi"

Binary file not shown.

@ -81,15 +81,16 @@ src_prepare() {
vala_src_prepare --ignore-use
sed -i "/UCD_DIR=/s/\$with_emoji_annotation_dir/\$with_ucd_dir/" configure.ac
if ! has_version 'x11-libs/gtk+:3[wayland]'; then
touch ui/gtk3/panelbinding.vala
touch ui/gtk3/panelbinding.vala \
ui/gtk3/emojierapp.vala || die
fi
if ! use emoji; then
touch \
tools/main.vala \
ui/gtk3/panel.vala
ui/gtk3/panel.vala || dile
fi
if ! use appindicator; then
touch ui/gtk3/panel.vala
touch ui/gtk3/panel.vala || die
fi
if [[ -n ${GENTOO_VER} ]]; then
einfo "Try to apply Gentoo specific patch set"
@ -97,13 +98,13 @@ src_prepare() {
fi
# for multiple Python implementations
sed -i "s/^\(PYGOBJECT_DIR =\).*/\1/" bindings/Makefile.am
sed -i "s/^\(PYGOBJECT_DIR =\).*/\1/" bindings/Makefile.am || die
# fix for parallel install
sed -i "/^if ENABLE_PYTHON2/,/^endif/d" bindings/pygobject/Makefile.am
sed -i "/^if ENABLE_PYTHON2/,/^endif/d" bindings/pygobject/Makefile.am || die
# require user interaction
sed -i "/^TESTS += ibus-\(compose\|keypress\)/d" src/tests/Makefile.am
sed -i "/^TESTS += ibus-\(compose\|keypress\)/d" src/tests/Makefile.am || die
sed -i "/^bash_completion/d" tools/Makefile.am
sed -i "/^bash_completion/d" tools/Makefile.am || die
default
eautoreconf

@ -1,8 +1,10 @@
# Copyright 2013-2021 Gentoo Authors
# Copyright 2013-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
inherit edo
DICT_VERSION="20131214"
LM_VERSION="${PV}"
@ -30,16 +32,11 @@ src_unpack() {
src_compile() {
# lm_sc.t3g
echoit slmpack lm_sc.3gm.arpa dict.utf8 lm_sc.3gm
echoit slmthread lm_sc.3gm lm_sc.t3g.orig
echoit tslmendian -i lm_sc.t3g.orig -o lm_sc.t3g
edo slmpack lm_sc.3gm.arpa dict.utf8 lm_sc.3gm
edo slmthread lm_sc.3gm lm_sc.t3g.orig
edo tslmendian -i lm_sc.t3g.orig -o lm_sc.t3g
# lexicon3
echoit genpyt -i dict.utf8 -s lm_sc.t3g.orig -l pydict_sc.log -o pydict_sc.bin
}
echoit() {
echo "${@}"
"${@}"
edo genpyt -i dict.utf8 -s lm_sc.t3g.orig -l pydict_sc.log -o pydict_sc.bin
}
src_install() {

Binary file not shown.

@ -1 +1,2 @@
DIST cadubi-1.3.4.tar.gz 65661 BLAKE2B 239cedfe50fba79bcfe250a2b646f851ef06bdae18260aeab2d10b8889dcc0d9d086f3edc8b594b3199aaa23f85ab3bd3393d63428ea545893f41a723063c9a0 SHA512 02a8e6d49f4892294d0c8fdffa7b6032ed7529bf0869681e9b760ed5c227905cca829d1f4e049400789d69c1251f4df714bf36d5c42dc778ac37e89cf753b45a
DIST cadubi-1.3.tar.gz 12559 BLAKE2B d1a32d602c00d76717e8e6cdf8d376dca12f9f55f9375bb0b8ea781cf923cfb90789cc011a3ab33960339ced3c05c668f6c6ec6e5b33ca89f7eda27c47789639 SHA512 e3b5190850bd4d579934bd5825db2b8bde5a46158862ec66b8604999344138477c0fb3fad34dc186ed9dd67dfbdcacf12763f76adbdfbd0cc4dbf6b51ad53bc7

@ -0,0 +1,28 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DESCRIPTION="An application that allows you to draw ASCII-Art images"
HOMEPAGE="https://github.com/statico/cadubi"
SRC_URI="https://github.com/statico/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Artistic"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
RDEPEND="dev-lang/perl
>=dev-perl/TermReadKey-2.21"
src_prepare() {
default
sed -i "s|$Bin/help.txt|$Bin/../$(get_libdir)/${PN}/help.txt|g" ${PN} || die
}
src_install() {
dobin ${PN}
doman ${PN}.1
insinto /usr/$(get_libdir)/${PN}
doins help.txt
dodoc README.md
}

@ -1,8 +1,8 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..9} )
PYTHON_COMPAT=( python3_{7..10} )
PYTHON_REQ_USE="xml(+)"
VALA_USE_DEPEND="vapigen"

@ -1,4 +1,4 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@ -6,8 +6,8 @@ inherit go-module
GIT_COMMIT=b0b6bfdd
DESCRIPTION="A project that allows anyone to have trust over arbitrary collections of data"
HOMEPAGE="https://github.com/theupdateframework/notary"
SRC_URI="https://github.com/theupdateframework/notary/archive/v${PV}.tar.gz -> ${P}.tar.gz"
HOMEPAGE="https://github.com/notaryproject/notary"
SRC_URI="https://github.com/notaryproject/notary/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"

Binary file not shown.

@ -41,7 +41,7 @@ SRC_URI="
IUSE="gnome java kde"
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
KEYWORDS="-* amd64 ~x86"
RDEPEND="~app-office/${PN/-debug}-${PV}[gnome=,java=,kde=]"

@ -46,7 +46,7 @@ SRC_URI="
IUSE="gnome java kde"
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
KEYWORDS="-* amd64 ~x86"
BIN_COMMON_DEPEND="
app-text/hunspell:0/1.7

@ -17,7 +17,7 @@ BASE_SRC_URI_STABLE="https://download.documentfoundation.org/${PN/-l10n/}/stable
LICENSE="|| ( LGPL-3 MPL-1.1 )"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux"
IUSE="offlinehelp"
#

@ -103,7 +103,7 @@ LICENSE="|| ( LGPL-3 MPL-1.1 )"
SLOT="0"
[[ ${MY_PV} == *9999* ]] || \
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux"
COMMON_DEPEND="${PYTHON_DEPS}
app-arch/unzip

Binary file not shown.

@ -1,3 +1,2 @@
DIST eix-0.36.0.tar.xz 640820 BLAKE2B 952e6a354cc5fd1145ef36fed6047bc6f10dd7a51166028581e3b392be66b5df07eabb96cba362dc4f7a50fbe19e6ccb3744d30928c4763a91af21ad02cee38d SHA512 891e343b01d3887cbc7e61933b43e79949ff702dcd8ada2f15ff57a628dc6ebc9a4b6817d3aa3d814474db3131aefcbbf56cec2520868dcb2182cbee780125b5
DIST eix-0.36.1.tar.xz 640084 BLAKE2B 10014bb847d71b803967354f3a415dc1c74ad37385b7b440f0c162c573453042d06bbc575582831ffc0aad6b0f7abeedbcb4e23b869505d4f85d6bd6b7cfbba4 SHA512 915a364b0f63124c53e43eb35165ce553f6eadaf8708f0c075dc2f4871fe83378cd0c8650d5605c1f87c512563fdd62f28efdc586b358fc7cd63ae42a404981d
DIST eix-0.36.2.tar.xz 639632 BLAKE2B 962b998f91233e799421c1ea3325d5b9c727bdfdda6a9567ba4a9ea0f4f36798f5ba32ef2ba43043668aaf0829d9c2f50158f97d5ebfca40a58da612141c47a8 SHA512 813a19f9561bfd65a401a4dcf9884e39eedf5f971be1800411ba977d84af0c5b5498cab50f69566bff75cf254f1d4971acc5dab72af34162f8b5dd29cd6ffaea

@ -1,103 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit autotools bash-completion-r1 tmpfiles
DESCRIPTION="Search and query ebuilds"
HOMEPAGE="https://github.com/vaeth/eix/"
SRC_URI="https://github.com/vaeth/eix/releases/download/v${PV}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="debug doc nls sqlite"
DEPEND="
nls? ( virtual/libintl )
sqlite? ( >=dev-db/sqlite-3:= )"
RDEPEND="${DEPEND}
>=app-shells/push-2.0-r1
>=app-shells/quoter-3.0_p2-r1"
BDEPEND="
app-arch/xz-utils
nls? ( sys-devel/gettext )"
pkg_setup() {
# remove stale cache file to prevent collisions
local old_cache=${EROOT}/var/cache/${PN}
if [[ -f ${old_cache} ]]; then
rm "${old_cache}" || die
fi
}
src_prepare() {
default
sed -i -e "s:/:${EPREFIX}/:" tmpfiles.d/eix.conf || die
sed -e "/eixf_source=/s:push.sh:cat \"${EPREFIX}/usr/share/push/push.sh\":" \
-e "/eixf_source=/s:quoter_pipe.sh:cat \"${EPREFIX}/usr/share/quoter/quoter_pipe.sh\":" \
-i src/eix-functions.sh.in || die
sed -e "s:'\$(bindir)/eix-functions.sh':cat \\\\\"${EPREFIX}/usr/share/eix/eix-functions\\\\\":" \
-i src/Makefile.am || die
eautoreconf
}
src_configure() {
local myconf=(
$(use_enable debug paranoic-asserts)
$(use_enable nls)
$(use_with doc extra-doc)
$(use_with sqlite)
--without-protobuf
# default configuration
$(use_with prefix always-accept-keywords)
--with-dep-default
--with-required-use-default
# paths
--with-portage-rootpath="${ROOTPATH}"
--with-eprefix-default="${EPREFIX}"
# build a single executable with symlinks
--disable-separate-binaries
--disable-separate-tools
# used purely to control/disrespect *FLAGS
--disable-debugging
--disable-new_dialect
--disable-optimization
--disable-strong-optimization
--disable-security
--disable-nopie-security
--disable-strong-security
)
econf "${myconf[@]}"
}
src_install() {
default
dobashcomp bash/eix
dotmpfiles tmpfiles.d/eix.conf
rm -r "${ED}"/usr/bin/eix-functions.sh || die
}
pkg_postinst() {
tmpfiles_process eix.conf
local obs=${EROOT}/var/cache/eix.previous
if [[ -f ${obs} ]]; then
ewarn "Found obsolete ${obs}, please remove it"
fi
}
pkg_postrm() {
if [[ ! -n ${REPLACED_BY_VERSION} ]]; then
rm -rf "${EROOT}/var/cache/${PN}" || die
fi
}

@ -11,7 +11,7 @@ SRC_URI="https://github.com/vaeth/eix/releases/download/v${PV}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="debug doc nls sqlite"
DEPEND="

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save